import { Server } from "socket.io";
import {TSocket} from "../utilities/Types";
import fs from "fs";
import path from "path";

type Asset = {
    key: string
    value: string
    type: 'base64' | 'link'
}

export default function (socket: TSocket, io: Server) {
    socket.on('assets:download', async (data: any, callback: (response: string[]) => void) => {
        listTiles().then(tiles => {
            callback(tiles);
        })
    });
}

function listTiles(): string[] {
    // get root path
    const folder = path.join(process.cwd(), 'public', 'tiles');

    // list the files in the folder
    let tiles: string[] = [];

    fs.readdir(folder, (err, files) => {
        if (err) {
            console.log(err);
            return;
        }

        files.forEach(file => {
            tiles.push(file);
        });
    });

    return tiles;
}